summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log505
-rw-r--r--jenkins/notify-init.log106
-rw-r--r--jenkins/run-build.env8
4 files changed, 256 insertions, 365 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index ebf21a6..9316476 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#512-binutils-gcc-gdb-glibc-linux-R0
+#513-binutils-gcc-gdb-glibc-linux-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index bc7eef5..309e623 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ATATT3xFfGF0T6lmyRRI1GPXAjFc6UC66WsAJyuXpga-0JusQbYQdlG4NfS8kED4ejPRlZs9E57FWxFlN7K67E-9t-EXcNqVpzVQwTRd2JDDboAUNRnk00rMY9KXELe8Jb9dKP7p3MTXz2HTqtpMKIM2VZQUmZf_TcIuAN0mVpSPtZtdoLZBnCk=34F9AA87 __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -26,17 +26,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/511/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/511/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -93,7 +93,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x2129106d20823148ae2e24b51c3cf9edb46c7f3c '!=' x333a6b1a6399992cc98ac34727acf38136b770e6 ']'
+++ '[' x4da6be3f1ad66987b7e072e578183798b3c29cb0 '!=' x2129106d20823148ae2e24b51c3cf9edb46c7f3c ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -108,7 +108,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 '!=' xdf5df10355089c9c92529c222100722cea170877 ']'
+++ '[' x310dc75e7004d8b8e39c6f258b28b2165ad4193c '!=' x8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -123,7 +123,7 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ '[' x5414aea7b7508d01235ea0c95064ad66395c3239 '!=' x9a6b294ab496650e9f270123730df37030911b55 ']'
+++ '[' x3f82f1c3a03694800a4104ca6b6d3282bd4e213d '!=' x5414aea7b7508d01235ea0c95064ad66395c3239 ']'
++ echo -ne ' linux'
++ delim=' '
++ for c in $(print_updated_components)
@@ -138,9 +138,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x81be2a61dafc168327c1639e97b6dae128c7ccf3 '!=' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
-++ echo -ne ' glibc'
-++ delim=' '
+++ '[' x81be2a61dafc168327c1639e97b6dae128c7ccf3 '!=' x81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
++ for c in $(print_updated_components)
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
@@ -153,19 +151,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ '[' x2129106d20823148ae2e24b51c3cf9edb46c7f3c '!=' x333a6b1a6399992cc98ac34727acf38136b770e6 ']'
+# Debug traces :
+# change_kind=multiple_components : binutils gcc linux gdb
+++ '[' x4da6be3f1ad66987b7e072e578183798b3c29cb0 '!=' x2129106d20823148ae2e24b51c3cf9edb46c7f3c ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
-# Debug traces :
-# change_kind=multiple_components : binutils gcc linux glibc gdb
+ local c base_rev cur_rev c_commits
-+ '[' 5 = 0 ']'
-+ '[' 5 = 1 ']'
++ '[' 4 = 0 ']'
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc linux glibc gdb'
++ echo '# change_kind=multiple_components : binutils gcc linux gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -173,17 +171,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ git -C binutils rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-# rev for binutils : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)
-+ c_commits=25
-+ echo '# rev for binutils : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)'
++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ git -C binutils rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+# rev for binutils : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)
++ c_commits=19
++ echo '# rev for binutils : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -191,17 +189,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=df5df10355089c9c92529c222100722cea170877
++ base_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-++ git -C gcc rev-list --count df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-# rev for gcc : df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 (16 commits)
-+ c_commits=16
-+ echo '# rev for gcc : df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 (16 commits)'
++ cur_rev=310dc75e7004d8b8e39c6f258b28b2165ad4193c
+++ git -C gcc rev-list --count 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c
+# rev for gcc : 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c (7 commits)
++ c_commits=7
++ echo '# rev for gcc : 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c (7 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git linux_rev
++ set -euf -o pipefail
@@ -209,35 +207,17 @@
++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/linux_rev
-+ base_rev=9a6b294ab496650e9f270123730df37030911b55
++ base_rev=5414aea7b7508d01235ea0c95064ad66395c3239
++ get_current_git linux_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/linux_rev
-+ cur_rev=5414aea7b7508d01235ea0c95064ad66395c3239
-++ git -C linux rev-list --count 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239
-# rev for linux : 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239 (61 commits)
-+ c_commits=61
-+ echo '# rev for linux : 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239 (61 commits)'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)
-+ c_commits=2
-+ echo '# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)'
++ cur_rev=3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+++ git -C linux rev-list --count 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+# rev for linux : 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d (74 commits)
++ c_commits=74
++ echo '# rev for linux : 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d (74 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -245,18 +225,18 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ git -C gdb rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-# rev for gdb : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)
++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ git -C gdb rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+# rev for gdb : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)
-+ c_commits=25
-+ echo '# rev for gdb : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)'
++ c_commits=19
++ echo '# rev for gdb : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -290,7 +270,7 @@
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1508031
++ wait 1499893
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ calculate_results_date
+ set -euf -o pipefail
@@ -305,21 +285,21 @@
++ assert_with_msg 'ERROR: No binutils in current git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ git -C binutils show --no-patch --pretty=%ct 333a6b1a6399992cc98ac34727acf38136b770e6
-+ base_d=1703159486
+++ git -C binutils show --no-patch --pretty=%ct 2129106d20823148ae2e24b51c3cf9edb46c7f3c
++ base_d=1703264269
++ get_current_component_date binutils
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ git -C binutils show --no-patch --pretty=%ct 2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+ cur_d=1703264269
-+ '[' x1703159486 '!=' x ']'
-+ '[' x1703264269 = x ']'
-+ '[' 1703264269 -lt 1703159486 ']'
-+ '[' x1703264269 = x ']'
-+ '[' 1703264269 -gt 0 ']'
-+ results_date=1703264269
+++ git -C binutils show --no-patch --pretty=%ct 4da6be3f1ad66987b7e072e578183798b3c29cb0
++ cur_d=1703312483
++ '[' x1703264269 '!=' x ']'
++ '[' x1703312483 = x ']'
++ '[' 1703312483 -lt 1703264269 ']'
++ '[' x1703312483 = x ']'
++ '[' 1703312483 -gt 0 ']'
++ results_date=1703312483
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date gcc
++ set -euf -o pipefail
@@ -327,21 +307,21 @@
++ assert_with_msg 'ERROR: No gcc in current git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ git -C gcc show --no-patch --pretty=%ct df5df10355089c9c92529c222100722cea170877
-+ base_d=1703190197
+++ git -C gcc show --no-patch --pretty=%ct 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
++ base_d=1703275941
++ get_current_component_date gcc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ git -C gcc show --no-patch --pretty=%ct 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-+ cur_d=1703275941
-+ '[' x1703190197 '!=' x ']'
-+ '[' x1703275941 = x ']'
-+ '[' 1703275941 -lt 1703190197 ']'
-+ '[' x1703275941 = x ']'
-+ '[' 1703275941 -gt 1703264269 ']'
-+ results_date=1703275941
+++ git -C gcc show --no-patch --pretty=%ct 310dc75e7004d8b8e39c6f258b28b2165ad4193c
++ cur_d=1703336314
++ '[' x1703275941 '!=' x ']'
++ '[' x1703336314 = x ']'
++ '[' 1703336314 -lt 1703275941 ']'
++ '[' x1703336314 = x ']'
++ '[' 1703336314 -gt 1703312483 ']'
++ results_date=1703336314
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date linux
++ set -euf -o pipefail
@@ -349,20 +329,21 @@
++ assert_with_msg 'ERROR: No linux in current git' '[' -f base-artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ git -C linux show --no-patch --pretty=%ct 9a6b294ab496650e9f270123730df37030911b55
-+ base_d=1703182567
+++ git -C linux show --no-patch --pretty=%ct 5414aea7b7508d01235ea0c95064ad66395c3239
++ base_d=1703263604
++ get_current_component_date linux
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No linux in current git' '[' -f artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/linux_rev
-++ git -C linux show --no-patch --pretty=%ct 5414aea7b7508d01235ea0c95064ad66395c3239
-+ cur_d=1703263604
-+ '[' x1703182567 '!=' x ']'
-+ '[' x1703263604 = x ']'
-+ '[' 1703263604 -lt 1703182567 ']'
-+ '[' x1703263604 = x ']'
-+ '[' 1703263604 -gt 1703275941 ']'
+++ git -C linux show --no-patch --pretty=%ct 3f82f1c3a03694800a4104ca6b6d3282bd4e213d
++ cur_d=1703362408
++ '[' x1703263604 '!=' x ']'
++ '[' x1703362408 = x ']'
++ '[' 1703362408 -lt 1703263604 ']'
++ '[' x1703362408 = x ']'
++ '[' 1703362408 -gt 1703336314 ']'
++ results_date=1703362408
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date glibc
++ set -euf -o pipefail
@@ -370,8 +351,8 @@
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+ base_d=1703085273
+++ git -C glibc show --no-patch --pretty=%ct 81be2a61dafc168327c1639e97b6dae128c7ccf3
++ base_d=1703252237
++ get_current_component_date glibc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
@@ -379,11 +360,11 @@
+++ cat artifacts/git/glibc_rev
++ git -C glibc show --no-patch --pretty=%ct 81be2a61dafc168327c1639e97b6dae128c7ccf3
+ cur_d=1703252237
-+ '[' x1703085273 '!=' x ']'
++ '[' x1703252237 '!=' x ']'
+ '[' x1703252237 = x ']'
-+ '[' 1703252237 -lt 1703085273 ']'
++ '[' 1703252237 -lt 1703252237 ']'
+ '[' x1703252237 = x ']'
-+ '[' 1703252237 -gt 1703275941 ']'
++ '[' 1703252237 -gt 1703362408 ']'
+ for c in $(get_current_manifest "{rr[components]}")
++ get_baseline_component_date gdb
++ set -euf -o pipefail
@@ -391,32 +372,32 @@
++ assert_with_msg 'ERROR: No gdb in current git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ git -C gdb show --no-patch --pretty=%ct 333a6b1a6399992cc98ac34727acf38136b770e6
-+ base_d=1703159486
+++ git -C gdb show --no-patch --pretty=%ct 2129106d20823148ae2e24b51c3cf9edb46c7f3c
++ base_d=1703264269
++ get_current_component_date gdb
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ git -C gdb show --no-patch --pretty=%ct 2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+ cur_d=1703264269
-+ '[' x1703159486 '!=' x ']'
-+ '[' x1703264269 = x ']'
-+ '[' 1703264269 -lt 1703159486 ']'
-+ '[' x1703264269 = x ']'
-+ '[' 1703264269 -gt 1703275941 ']'
-+ assert_with_msg 'Failed to produce results_date' '[' 1703275941 -gt 0 ']'
+++ git -C gdb show --no-patch --pretty=%ct 4da6be3f1ad66987b7e072e578183798b3c29cb0
++ cur_d=1703312483
++ '[' x1703264269 '!=' x ']'
++ '[' x1703312483 = x ']'
++ '[' 1703312483 -lt 1703264269 ']'
++ '[' x1703312483 = x ']'
++ '[' 1703312483 -gt 1703362408 ']'
++ assert_with_msg 'Failed to produce results_date' '[' 1703362408 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1703104791
-+ '[' 1703104791 '!=' '' ']'
-+ assert '[' 1703275941 -ge 1703104791 ']'
++ base_d=1703190366
++ '[' 1703190366 '!=' '' ']'
++ assert '[' 1703362408 -ge 1703190366 ']'
+ set -euf -o pipefail +x
-+ '[' 1703275941 -gt 1703104791 ']'
-+ results_date=1703190366
-+ rr[results_date]=1703190366
++ '[' 1703362408 -gt 1703190366 ']'
++ results_date=1703276387
++ rr[results_date]=1703276387
+ manifest_out
+ cat
+ cat
@@ -426,8 +407,8 @@
+ '[' xmultiple_components '!=' xsingle_commit ']'
+ return
+ post_interesting_commits full
-# post_interesting_commits
+ set -euf -o pipefail
+# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=full
+ '[' multiple_components '!=' single_commit ']'
@@ -459,10 +440,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1508148
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1508149
+++ wait 1500010
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231223 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1500011
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231223 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -485,9 +466,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -520,16 +501,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
+++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+++ git -C binutils rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ c_commits=25
-++ new_commits=25
+++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
++++ git -C binutils rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ c_commits=19
+++ new_commits=19
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -537,16 +518,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=df5df10355089c9c92529c222100722cea170877
+++ base_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-+++ git -C gcc rev-list --count df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-++ c_commits=16
-++ new_commits=41
+++ cur_rev=310dc75e7004d8b8e39c6f258b28b2165ad4193c
++++ git -C gcc rev-list --count 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c
+++ c_commits=7
+++ new_commits=26
++ for c in "${changed_components[@]}"
+++ get_baseline_git linux_rev
+++ set -euf -o pipefail
@@ -554,33 +535,16 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ base_rev=9a6b294ab496650e9f270123730df37030911b55
+++ base_rev=5414aea7b7508d01235ea0c95064ad66395c3239
+++ get_current_git linux_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/linux_rev
-++ cur_rev=5414aea7b7508d01235ea0c95064ad66395c3239
-+++ git -C linux rev-list --count 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239
-++ c_commits=61
-++ new_commits=102
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ c_commits=2
-++ new_commits=104
+++ cur_rev=3f82f1c3a03694800a4104ca6b6d3282bd4e213d
++++ git -C linux rev-list --count 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+++ c_commits=74
+++ new_commits=100
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -588,20 +552,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
+++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+++ git -C gdb rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ c_commits=25
-++ new_commits=129
-+++ echo binutils gcc linux glibc gdb
+++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
++++ git -C gdb rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ c_commits=19
+++ new_commits=119
++++ echo binutils gcc linux gdb
+++ tr ' ' ,
-++ components=binutils,gcc,linux,glibc,gdb
-++ echo '129 commits in binutils,gcc,linux,glibc,gdb'
+++ components=binutils,gcc,linux,gdb
+++ echo '119 commits in binutils,gcc,linux,gdb'
++ '[' --oneline = --oneline ']'
++ return 0
++ gnu_print_result --oneline
@@ -611,10 +575,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1508224
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1508225
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1500076
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231223 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1500077
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231223 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -633,7 +597,7 @@
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gnu_native_check_glibc master-aarch64
++ local project=tcwg_gnu_native_check_glibc
@@ -653,17 +617,17 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '129 commits in binutils,gcc,linux,glibc,gdb: PASS on aarch64'
++ echo '[Linaro-TCWG-CI]' '119 commits in binutils,gcc,linux,gdb: PASS on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/511/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts
+ local key=
+ '[' multiple_components = single_commit ']'
+ cat
@@ -671,7 +635,7 @@
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gnu_native_check_glibc master-aarch64
++ local project=tcwg_gnu_native_check_glibc
@@ -708,16 +672,16 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
+++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+++ git -C binutils rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ c_commits=25
-++ new_commits=25
+++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
++++ git -C binutils rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ c_commits=19
+++ new_commits=19
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
+++ set -euf -o pipefail
@@ -725,16 +689,16 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=df5df10355089c9c92529c222100722cea170877
+++ base_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-+++ git -C gcc rev-list --count df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-++ c_commits=16
-++ new_commits=41
+++ cur_rev=310dc75e7004d8b8e39c6f258b28b2165ad4193c
++++ git -C gcc rev-list --count 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c
+++ c_commits=7
+++ new_commits=26
++ for c in "${changed_components[@]}"
+++ get_baseline_git linux_rev
+++ set -euf -o pipefail
@@ -742,33 +706,16 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ base_rev=9a6b294ab496650e9f270123730df37030911b55
+++ base_rev=5414aea7b7508d01235ea0c95064ad66395c3239
+++ get_current_git linux_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/linux_rev
-++ cur_rev=5414aea7b7508d01235ea0c95064ad66395c3239
-+++ git -C linux rev-list --count 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239
-++ c_commits=61
-++ new_commits=102
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ c_commits=2
-++ new_commits=104
+++ cur_rev=3f82f1c3a03694800a4104ca6b6d3282bd4e213d
++++ git -C linux rev-list --count 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+++ c_commits=74
+++ new_commits=100
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
+++ set -euf -o pipefail
@@ -776,20 +723,20 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
+++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+++ git -C gdb rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ c_commits=25
-++ new_commits=129
+++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
++++ git -C gdb rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ c_commits=19
+++ new_commits=119
+++ tr ' ' ,
-+++ echo binutils gcc linux glibc gdb
-++ components=binutils,gcc,linux,glibc,gdb
-++ echo '129 commits in binutils,gcc,linux,glibc,gdb'
++++ echo binutils gcc linux gdb
+++ components=binutils,gcc,linux,gdb
+++ echo '119 commits in binutils,gcc,linux,gdb'
++ '[' --short = --oneline ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git binutils_rev
@@ -798,19 +745,19 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
+++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
+++ get_current_git binutils_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/binutils_rev
-++ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+++ git -C binutils rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ c_commits=25
+++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
++++ git -C binutils rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ c_commits=19
++ '[' '' '!=' '' ']'
-++ git -C binutils log -n 5 --oneline 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ '[' 25 -gt 5 ']'
-++ echo '... and 20 more commits in binutils'
+++ git -C binutils log -n 5 --oneline 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ '[' 19 -gt 5 ']'
+++ echo '... and 14 more commits in binutils'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gcc_rev
@@ -819,19 +766,19 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ base_rev=df5df10355089c9c92529c222100722cea170877
+++ base_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
+++ get_current_git gcc_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gcc_rev
-++ cur_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-+++ git -C gcc rev-list --count df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-++ c_commits=16
+++ cur_rev=310dc75e7004d8b8e39c6f258b28b2165ad4193c
++++ git -C gcc rev-list --count 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c
+++ c_commits=7
++ '[' '' '!=' '' ']'
-++ git -C gcc log -n 5 --oneline df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-++ '[' 16 -gt 5 ']'
-++ echo '... and 11 more commits in gcc'
+++ git -C gcc log -n 5 --oneline 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c
+++ '[' 7 -gt 5 ']'
+++ echo '... and 2 more commits in gcc'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git linux_rev
@@ -840,39 +787,19 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ base_rev=9a6b294ab496650e9f270123730df37030911b55
+++ base_rev=5414aea7b7508d01235ea0c95064ad66395c3239
+++ get_current_git linux_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/linux_rev
-++ cur_rev=5414aea7b7508d01235ea0c95064ad66395c3239
-+++ git -C linux rev-list --count 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239
-++ c_commits=61
-++ '[' '' '!=' '' ']'
-++ git -C linux log -n 5 --oneline 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239
-++ '[' 61 -gt 5 ']'
-++ echo '... and 56 more commits in linux'
-++ '[' '' '!=' '' ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-+++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ c_commits=2
+++ cur_rev=3f82f1c3a03694800a4104ca6b6d3282bd4e213d
++++ git -C linux rev-list --count 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+++ c_commits=74
++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ '[' 2 -gt 5 ']'
+++ git -C linux log -n 5 --oneline 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+++ '[' 74 -gt 5 ']'
+++ echo '... and 69 more commits in linux'
++ '[' '' '!=' '' ']'
++ for c in "${changed_components[@]}"
+++ get_baseline_git gdb_rev
@@ -881,19 +808,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-++ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
+++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
+++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/gdb_rev
-++ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-+++ git -C gdb rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ c_commits=25
+++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
++++ git -C gdb rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ c_commits=19
++ '[' '' '!=' '' ']'
-++ git -C gdb log -n 5 --oneline 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ '[' 25 -gt 5 ']'
-++ echo '... and 20 more commits in gdb'
+++ git -C gdb log -n 5 --oneline 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ '[' 19 -gt 5 ']'
+++ echo '... and 14 more commits in gdb'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -903,10 +830,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1508367
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1508368
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231222 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1500198
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231223 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 1500199
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231223 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -937,30 +864,30 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/tcwg_gnu-config.sh
+++ declare -A gnu_data
++ settings_for_ci_project_and_config tcwg_gnu_native_check_glibc master-aarch64
++ local project=tcwg_gnu_native_check_glibc
@@ -979,14 +906,14 @@
+ return
+ true
+ generate_jenkins_html_files
-+ wait 1508408
++ wait 1500239
+# generate_jenkins_html_files
+... Skipping
+ set -euf -o pipefail
+ echo '# generate_jenkins_html_files'
-# generate_jenkins_html_files
+ true
+ case "$ci_project" in
+ echo '... Skipping'
-... Skipping
+ return
+ generate_readme html
+ set -euf -o pipefail
@@ -1075,8 +1002,8 @@
+ cat
+ read -r cur_file
++ cd artifacts
-++ sort
++ find . -type f
+++ sort
++ print_readme_link html ./00-sumfiles/tests.log.xz
++ set -euf -o pipefail
++ local text_type=html
@@ -1229,14 +1156,6 @@
++ echo -n '<a href="./10-build_abe-check_glibc/flaky.xfail">./10-build_abe-check_glibc/flaky.xfail</a>'
+ echo '<li><a href="./10-build_abe-check_glibc/flaky.xfail">./10-build_abe-check_glibc/flaky.xfail</a>'
+ read -r cur_file
-++ print_readme_link html ./10-build_abe-check_glibc/make-glibc.log.xz
-++ set -euf -o pipefail
-++ local text_type=html
-++ local msg=./10-build_abe-check_glibc/make-glibc.log.xz
-++ case $text_type in
-++ echo -n '<a href="./10-build_abe-check_glibc/make-glibc.log.xz">./10-build_abe-check_glibc/make-glibc.log.xz</a>'
-+ echo '<li><a href="./10-build_abe-check_glibc/make-glibc.log.xz">./10-build_abe-check_glibc/make-glibc.log.xz</a>'
-+ read -r cur_file
++ print_readme_link html ./11-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=html
@@ -1704,14 +1623,6 @@
++ echo -n ./10-build_abe-check_glibc/flaky.xfail
+ echo '- ./10-build_abe-check_glibc/flaky.xfail'
+ read -r cur_file
-++ print_readme_link txt ./10-build_abe-check_glibc/make-glibc.log.xz
-++ set -euf -o pipefail
-++ local text_type=txt
-++ local msg=./10-build_abe-check_glibc/make-glibc.log.xz
-++ case $text_type in
-++ echo -n ./10-build_abe-check_glibc/make-glibc.log.xz
-+ echo '- ./10-build_abe-check_glibc/make-glibc.log.xz'
-+ read -r cur_file
++ print_readme_link txt ./11-check_regression/baseline.xfail
++ set -euf -o pipefail
++ local text_type=txt
@@ -1954,7 +1865,6 @@
... Skipping
# post_dashboard_squad
... Skipping
-# generate_lnt_report
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
@@ -1968,30 +1878,31 @@
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 1508670
++ wait 1500497
+ set -euf -o pipefail
+ local results_date
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/lnt-utils.sh
++ declare is_first_lnt_entry
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1703190366
-++ date '+%Y-%m-%d %H:%M:%S' --date @1703190366
-+ results_date='2023-12-21 20:26:06'
++ results_date=1703276387
+++ date '+%Y-%m-%d %H:%M:%S' --date @1703276387
++ results_date='2023-12-22 20:19:47'
+ local jira_key=-
+ '[' -f artifacts/notify/jira/key ']'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/ tcwg_gnu_native_check_glibc master-aarch64 '2023-12-21 20:26:06' - artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/ tcwg_gnu_native_check_glibc master-aarch64 '2023-12-22 20:19:47' - artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/
+ local ci_project=tcwg_gnu_native_check_glibc
+ local ci_config=master-aarch64
-+ local 'results_date=2023-12-21 20:26:06'
++ local 'results_date=2023-12-22 20:19:47'
+ local jira_key=-
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
@@ -2002,8 +1913,8 @@
+ local lnt_testsuite=tcwg_gnu_native_check_glibc
+ local machine_name=master-aarch64
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/
-+ build_number=512
+++ basename https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/
++ build_number=513
+ set +x
# release_testresults_files
... Done
@@ -2015,9 +1926,9 @@
+ '[' -f artifacts/testresults/testresults-mail-recipients.txt ']'
+ echo '... Done'
+ post_to_jira
-# post_to_jira
+ set -euf -o pipefail
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 8988ed2..6aa7bfd 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,6 +1,6 @@
+ set +x
-/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_1/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -8,8 +8,8 @@
+ declare change_kind changed_single_component last_good first_bad
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
-+ dump_model_only=false
# setup_notify_environment
++ dump_model_only=false
+ setup_notify_environment
+ echo '# setup_notify_environment'
+ top_artifacts=artifacts
@@ -26,22 +26,22 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/511/
+# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/511/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/
+# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/512/'
+# check_source_changes
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_gnu_native_check_glibc--master-aarch64-build/513/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
-# check_source_changes
+ set +x
+ case "$notify" in
+ declare -Ag pw
@@ -93,7 +93,7 @@
+++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/binutils_rev
-++ '[' x2129106d20823148ae2e24b51c3cf9edb46c7f3c '!=' x333a6b1a6399992cc98ac34727acf38136b770e6 ']'
+++ '[' x4da6be3f1ad66987b7e072e578183798b3c29cb0 '!=' x2129106d20823148ae2e24b51c3cf9edb46c7f3c ']'
++ echo -ne binutils
++ delim=' '
++ for c in $(print_updated_components)
@@ -108,7 +108,7 @@
+++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gcc_rev
-++ '[' x8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 '!=' xdf5df10355089c9c92529c222100722cea170877 ']'
+++ '[' x310dc75e7004d8b8e39c6f258b28b2165ad4193c '!=' x8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 ']'
++ echo -ne ' gcc'
++ delim=' '
++ for c in $(print_updated_components)
@@ -123,7 +123,7 @@
+++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/linux_rev
-++ '[' x5414aea7b7508d01235ea0c95064ad66395c3239 '!=' x9a6b294ab496650e9f270123730df37030911b55 ']'
+++ '[' x3f82f1c3a03694800a4104ca6b6d3282bd4e213d '!=' x5414aea7b7508d01235ea0c95064ad66395c3239 ']'
++ echo -ne ' linux'
++ delim=' '
++ for c in $(print_updated_components)
@@ -138,9 +138,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x81be2a61dafc168327c1639e97b6dae128c7ccf3 '!=' x61bac1a9d2ab80ebcbc51484722e6ea43414bec7 ']'
-++ echo -ne ' glibc'
-++ delim=' '
+++ '[' x81be2a61dafc168327c1639e97b6dae128c7ccf3 '!=' x81be2a61dafc168327c1639e97b6dae128c7ccf3 ']'
++ for c in $(print_updated_components)
+++ get_current_git gdb_rev
+++ set -euf -o pipefail
@@ -153,19 +151,19 @@
+++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/gdb_rev
-# Debug traces :
-# change_kind=multiple_components : binutils gcc linux glibc gdb
-++ '[' x2129106d20823148ae2e24b51c3cf9edb46c7f3c '!=' x333a6b1a6399992cc98ac34727acf38136b770e6 ']'
+++ '[' x4da6be3f1ad66987b7e072e578183798b3c29cb0 '!=' x2129106d20823148ae2e24b51c3cf9edb46c7f3c ']'
++ echo -ne ' gdb'
++ delim=' '
++ echo
+# Debug traces :
+# change_kind=multiple_components : binutils gcc linux gdb
+ local c base_rev cur_rev c_commits
-+ '[' 5 = 0 ']'
-+ '[' 5 = 1 ']'
++ '[' 4 = 0 ']'
++ '[' 4 = 1 ']'
+ change_kind=multiple_components
+ changed_single_component=
+ echo '# Debug traces :'
-+ echo '# change_kind=multiple_components : binutils gcc linux glibc gdb'
++ echo '# change_kind=multiple_components : binutils gcc linux gdb'
+ for c in "${changed_components[@]}"
++ get_baseline_git binutils_rev
++ set -euf -o pipefail
@@ -173,17 +171,17 @@
++ assert_with_msg 'ERROR: No binutils_rev in baseline git' '[' -f base-artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/binutils_rev
-+ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
++ get_current_git binutils_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No binutils_rev in current git' '[' -f artifacts/git/binutils_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/binutils_rev
-+ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ git -C binutils rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-# rev for binutils : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)
-+ c_commits=25
-+ echo '# rev for binutils : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)'
++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ git -C binutils rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+# rev for binutils : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)
++ c_commits=19
++ echo '# rev for binutils : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gcc_rev
++ set -euf -o pipefail
@@ -191,17 +189,17 @@
++ assert_with_msg 'ERROR: No gcc_rev in baseline git' '[' -f base-artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gcc_rev
-+ base_rev=df5df10355089c9c92529c222100722cea170877
++ base_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
++ get_current_git gcc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gcc_rev in current git' '[' -f artifacts/git/gcc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gcc_rev
-+ cur_rev=8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-++ git -C gcc rev-list --count df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8
-# rev for gcc : df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 (16 commits)
-+ c_commits=16
-+ echo '# rev for gcc : df5df10355089c9c92529c222100722cea170877..8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8 (16 commits)'
++ cur_rev=310dc75e7004d8b8e39c6f258b28b2165ad4193c
+++ git -C gcc rev-list --count 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c
+# rev for gcc : 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c (7 commits)
++ c_commits=7
++ echo '# rev for gcc : 8c8d4b565cd7e08c6ec9ca5a4369d8ec5619cad8..310dc75e7004d8b8e39c6f258b28b2165ad4193c (7 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git linux_rev
++ set -euf -o pipefail
@@ -209,35 +207,17 @@
++ assert_with_msg 'ERROR: No linux_rev in baseline git' '[' -f base-artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/linux_rev
-+ base_rev=9a6b294ab496650e9f270123730df37030911b55
++ base_rev=5414aea7b7508d01235ea0c95064ad66395c3239
++ get_current_git linux_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No linux_rev in current git' '[' -f artifacts/git/linux_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/linux_rev
-+ cur_rev=5414aea7b7508d01235ea0c95064ad66395c3239
-++ git -C linux rev-list --count 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239
-# rev for linux : 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239 (61 commits)
-+ c_commits=61
-+ echo '# rev for linux : 9a6b294ab496650e9f270123730df37030911b55..5414aea7b7508d01235ea0c95064ad66395c3239 (61 commits)'
-+ for c in "${changed_components[@]}"
-++ get_baseline_git glibc_rev
-++ set -euf -o pipefail
-++ local base_artifacts=base-artifacts
-++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat base-artifacts/git/glibc_rev
-+ base_rev=61bac1a9d2ab80ebcbc51484722e6ea43414bec7
-++ get_current_git glibc_rev
-++ set -euf -o pipefail
-++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-++ set -euf -o pipefail +x
-++ cat artifacts/git/glibc_rev
-+ cur_rev=81be2a61dafc168327c1639e97b6dae128c7ccf3
-++ git -C glibc rev-list --count 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3
-# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)
-+ c_commits=2
-+ echo '# rev for glibc : 61bac1a9d2ab80ebcbc51484722e6ea43414bec7..81be2a61dafc168327c1639e97b6dae128c7ccf3 (2 commits)'
++ cur_rev=3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+++ git -C linux rev-list --count 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d
+# rev for linux : 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d (74 commits)
++ c_commits=74
++ echo '# rev for linux : 5414aea7b7508d01235ea0c95064ad66395c3239..3f82f1c3a03694800a4104ca6b6d3282bd4e213d (74 commits)'
+ for c in "${changed_components[@]}"
++ get_baseline_git gdb_rev
++ set -euf -o pipefail
@@ -245,18 +225,20 @@
++ assert_with_msg 'ERROR: No gdb_rev in baseline git' '[' -f base-artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/gdb_rev
-+ base_rev=333a6b1a6399992cc98ac34727acf38136b770e6
++ base_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
++ get_current_git gdb_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No gdb_rev in current git' '[' -f artifacts/git/gdb_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/gdb_rev
-+ cur_rev=2129106d20823148ae2e24b51c3cf9edb46c7f3c
-++ git -C gdb rev-list --count 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c
-# rev for gdb : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)
++ cur_rev=4da6be3f1ad66987b7e072e578183798b3c29cb0
+++ git -C gdb rev-list --count 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0
+# rev for gdb : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)
-+ c_commits=25
-+ echo '# rev for gdb : 333a6b1a6399992cc98ac34727acf38136b770e6..2129106d20823148ae2e24b51c3cf9edb46c7f3c (25 commits)'
+# post_interesting_commits
+Init stage ran successfully.
++ c_commits=19
++ echo '# rev for gdb : 2129106d20823148ae2e24b51c3cf9edb46c7f3c..4da6be3f1ad66987b7e072e578183798b3c29cb0 (19 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -281,12 +263,10 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
+ '[' multiple_components '!=' single_commit ']'
+ return
-Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 4204154..fdd6e67 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#512"
+build_name="#513"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-jade-05
+tcwg-jade-06
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#512-binutils-gcc-gdb-glibc-linux"
+build_name="#513-binutils-gcc-gdb-glibc-linux"
branch_opt=(==rr\[binutils_git\]
git://sourceware.org/git/binutils-gdb.git#master
==rr\[gcc_git\]
@@ -20,4 +20,4 @@ git://sourceware.org/git/binutils-gdb.git#master
git://sourceware.org/git/glibc.git#master
==rr\[linux_git\]
https://git.linaro.org/kernel-org/linux.git#master )
-build_name="#512-binutils-gcc-gdb-glibc-linux-R0"
+build_name="#513-binutils-gcc-gdb-glibc-linux-R0"